Bug 175025 - 100% CPU usage by kacpid if hald running
100% CPU usage by kacpid if hald running
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 14:36 EST by Jordan Schwarz
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 17:36:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Schwarz 2005-12-05 14:36:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When the computer starts up, even if acpid is not started via /etc/services, I get 100% CPU usage divided between hald and acpid (about 66% by hald and 33% by kacpid). This persists until I have killed these processes.

I tried turning off acpid, hald, and apmd, but this has not kept this problem from occurring.

Version-Release number of selected component (if applicable):
acpid-1.0.4-1, kernel-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1.Boot system.
2.Look at output of top once system has finished booting.
3.See giant cpu usage.
  

Actual Results:  Whenever the system boots, this happens.

Expected Results:  cpu usage should not be 100% after the system has finished booting.

Additional info:
Comment 1 Dave Jones 2005-12-06 18:19:42 EST
Is this a laptop? I wonder if it's polling the battery.

Does booting with acpi_serialize help ?
Comment 2 Jordan Schwarz 2005-12-07 12:43:21 EST
I booted with acpi_serialize, and that seemed to make my problem go away. 
Thanks a lot!  Yes, this is on a laptop (Gateway 450ROG).  Is the fix to this
problem to boot with acpi_serialize from now on, or is there something else I
should be doing instead?
Comment 3 Jordan Schwarz 2005-12-07 13:01:54 EST
"I'm sorry, Dave..."

Looks like I misspoke in my earlier comment.  I have now determined the following:

I turned hald and apmd off and acpid on.  Turning hald off gets rid of the CPU
usage problem.  When hald is running (even if acpid isn't), acpi_serialize does
*not* stop the CPU usage problem.  So, my rather primitive guess is that there's
some bad interaction going on between the hal daemon and kacpid.

I've got hal-0.5.2-2.

So, for now, my CPU usage problem is fixed, although I'm not sure why hal is
misbehaving.

Thanks for your help!
Comment 4 Dave Jones 2006-02-03 00:31:04 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Jordan Schwarz 2006-02-07 17:36:23 EST
I've upgraded to 2.6.15, and I can't seem to duplicate this problem anymore. 
So, at least from my standpoint, it's fixed.  Good job!

Note You need to log in before you can comment on or make changes to this bug.